
/*
This is a sketch to communicate with the Parallax Serial Terminal. --A really good terminal program with some snazzy bells and whistles.
Written by Chris the Carpenter
http://rocketbrandstudios.com

Download the PST from here:  
http://www.parallax.com/tabid/832/Default.aspx

Original Propeller (Spin) code written by:
Jeff Martin, Andy Lindsay, Chip Gracey 


**** Here are the routines you can use ******
homePST();
setCursorPST(int xHere, int yHere);
setCursorXPST(int xHere)
setCursorYPST(int yHere)

clearScreenPST();
clearToEndLinePST();
clearLinesBelowPST();

newLinePST();
lineFeedPST();
tabPST();
backspacePST();
moveCursorLeftPST(int howMany);
moveCursorRightPST(int howMany);
moveCursorUpPST(int howMany);
moveCursorDownPST(int howMany);

beepSpeakerPST();  
*/

#define screenWidth 127
#define screenHeight 40
int frameRateDelay = 50;

void setup()
{
  Serial.begin(115200);
  delay(2000);
}

void loop()
{
  //Demo of the the setCursor routines and a few beeps at the end
  homePST();
  for(int i=0;i<(screenWidth-11);i++)
  {
    setCursorXPST(i);
    Serial.print("Hello World");
    delay(frameRateDelay);
    clearScreenPST();
  }
  for(int i=0;i<screenHeight;i++)
  {
    setCursorYPST(i);
    Serial.print("Hello World");
    delay(frameRateDelay);
    clearScreenPST();
  }
  for(int i=(screenWidth-11);i>0;i--)
  {
    setCursorXPST(i);
    Serial.print("Hello World");
    delay(frameRateDelay);
    clearScreenPST();
  }
  for(int i=screenHeight;i>0;i--)
  {
    setCursorYPST(i);
    Serial.print("Hello World");
    delay(frameRateDelay);
    clearScreenPST();
  }
  
  homePST();
  for(int i=0;i<screenHeight;i++)
  {
    setCursorPST(i,i);
    Serial.print("Hello World");
    delay(frameRateDelay);
    clearScreenPST();
  }
  for(int i=screenHeight;i>0;i--)
  {
    setCursorPST(i,i);
    Serial.print("Hello World");
    delay(frameRateDelay);
    clearScreenPST();
  }
  for(int i=0;i<5;i++)
  {
    beepSpeakerPST();
    delay(500);
    
  }
  
}




